package com.gx.obe;


/**
 * @Description: 
 * @author guoyr
 */
public class DictValueEnum {
	
	
	// 清标项
	public static class CleanTender {
		public static final String ERROR_LEAK = "00";//"错漏项检查", "00"), 
		public static final String  ARITHMETIC_ERROR =  "01";//"算术性错误检查", "01"), 
		public static final String INVENTORY_PRICE = "02";//"清单报价检查", "02"), 
		public static final String MATERIAL_PRICE = "03";//"材料报价检查", "03"), 
		public static final String UNCOMPETE_CHECK = "04";//""不可竞争费检查", "04");
		public static final String GUIFEI_RATE_CHECK = "05";//""规费费率检查", "04");
		public static final String AQWMSGF_RATE_CHECK = "06";//""安全文明施工费费率检查", "04");
		public static final String TAX_RATE_CHECK = "07";//""税金费率检查", "04");
		
		CleanTender(String name, String value) {
			this.name = name;
			this.value = value;
		}

		private String name;
		private String value;

		public String getName() {
			return name;
		}

		public String getValue() {
			return value;
		}
	}
	
	// 商务标类型
	public static class BusinessTender {
		public static final String BILL_TABLE = "00";//"分部分项", "00"), 
		public static final String MEASURE_TABLE =  "01" ;//"措施项目", "01"), 
		public static final String EXTRA_TABLE = "02";//"其他项目", "02"), 
		public static final String MATERIAL_SUMMARY = "03";//"工料机汇总", "03"), 
		public static final String COST_TABLE = "04";//"费用汇总明细", "04"), 
		public static final String FEES_TAXES= "05";//"规费税金", "05");
		public static final String ZC_MATERIAL_SUMMARY= "06";//"主要材料设备明细", "06");
		public static final String SUPPLY_MATERIAL_DETAIL= "07";//"招标人供应材料设备明细", "07");
		
		BusinessTender(String name, String value) {
			this.name = name;
			this.value = value;
		}

		private String name;
		private String value;

		public String getName() {
			return name;
		}

		public String getValue() {
			return value;
		}
	}
	
	//其他项目
	public static class MeasureTable {
		public static final String MEASURE_TABLE_SUM = "00";//"其他项目合计", "00"), 
		public static final String PROVISIONAL_SUMS = "01";//"暂列金额", "01"), 
		public static final String APPRAISAL_PRICE = "02";//"暂估价", "02"), 
		public static final String DAY_WORKS = "03";//"计日工", "03"), 
		public static final String SERVICE_COSTS = "04";//"总承包服务费", "04");
		
		MeasureTable(String name, String value) {
			this.name = name;
			this.value = value;
		}

		private String name;
		private String value;

		public String getName() {
			return name;
		}

		public String getValue() {
			return value;
		}
	}
	
	// 工料机汇总
	public static class MaterialSummary {
		public static final String RG = "RG";// RG("人工", "RG"), 
		public static final String CL = "CL";//CL("材料", "CL"), 
		public static final String JX = "JX";//JX("机械", "JX"), 
		public static final String ZC = "ZC";//ZC("主材", "ZC"), 
		public static final String SB = "SB";//SB("设备", "SB"), 
		public static final String QT = "QT";//QT("其他", "QT");
		
		MaterialSummary(String name, String value) {
			this.name = name;
			this.value = value;
		}

		private String name;
		private String value;

		public String getName() {
			return name;
		}

		public String getValue() {
			return value;
		}
	}
	
	public static void main(String[] arges) {
//		for (CleanTender obj : DictValueEnum.CleanTender.values()) {
//
//			System.out.println(obj.getName() + ":" + obj.getValue());
//		}
//		System.out.println(DictValueEnum.CleanTender.valueOf("ERROR_LEAK").getName());
	}
}
