package com.gx.obe;

/**
 * @Description: 
 * @author guoyr
 */
public class WebserviceConstants {

	/**
	 * 服务器用户登录
	 */
	public static final String SERVER_USER_LOGIN_METHOD = "serverUserLogin.method";
		
		/**
		 * 接口用户
		 */
		public static final String WEBSERVICE_USER_NAME = "webserviceUserName";
		
		/**
		 * 接口用户密码
		 */
		public static final String WEBSERVICE_PASSWORD = "webservicePassword";
		
		/**
		 * 上传附件接口
		 */
		public static final String UPLOAD_FILE_SERVLET = "uploadFileServlet";
		/**
		 * 下载项目的接口地址
		 */
		public static final String DOWNLOAD_PROJECT_URL = "downProject.url";

		/**
		 * 获得要下载项目的清单列表
		 */
		public static final String GET_PROJECT_LIST_METHOD = "queryProjectList.method";
		/**
		 * 下载项目方法
		 */
		public static final String DOWN_PROJECT_BIDDING_FILE = "downLoadBiddingFile.method";
		
		/**
		 * 下载评审指标
		 */
		public static final String DOWN_PROJECT_EVALUTION_FACTOR = "downLoadEvaluationFactor.method";
		
		/**
		 * 下载项目时是否通过用户名过滤
		 * **/
		public static final String DOWNLOAD_PROJECT_FILTER_BY_USERNAME = "downloadProjectFilterByUserName";
		
		/**
		 * 获得要下载项目(包括包件)的详细信息
		 */
		public static final String GET_PROJECT_DETAIL_METHOD = "getPprojectDetail.method";

		/**
		 * 要下载的项目类型ZFCG:01:政府采购,TDJY:02:土地交易,CQJY:03:产权交易,JZGC:04:建筑工程,BX:05:比选
		 */
		public static final String TENDER_TYPE = "tenderType";
		
		/**
		 * 下载指标的接口地址
		 */
		public static final String DOWNLOAD_FACTOR_URL = "factorInfo.url";
		
		/**
		 * 下载指标的接口名称
		 */
		public static final String DOWNLOAD_FACTOR_METHOD = "factorInfo.method";
		
		/**
		 * 上传开标结果的接口地址（安徽用、黄山用）
		 */
		public static final String UPLOAD_BID_OPENING_OPINION_URL = "uploadOpenBidResult.url";

		/**
		 * 上传开标结果的接口地址第二套（新）
		 */
		public static final String UPLOAD_BID_OPENING_OPINION_URL_SECOND = "uploadOpenBidResultSecond.url";
		
		/**
		 * 上传开标结果申请
		 */
		public static final String APPLY_UPLOAD_OPENBIDRESULT_METHOD = "applyUploadOpenBidResult.method";
		
		/**
		 * 上传开标结果的接口名称
		 */
		public static final String UPLOAD_BID_OPENING_OPINION_METHOD = "uploadOpenBidResult.method";
		
		/**
		 * 申请上传评标结果接口地址
		 */
		public static final String APPLYSUBMIT_EVALRESULT_URL = "applySubmitEvalResult.url";
		
		/**
		 * 申请上传评标结果接口名称
		 */
		public static final String APPLYSUBMIT_EVALRESULT_METHOD = "applySubmitEvalResult.method";
		
		/**
		 * 确认上传评标结果接口地址
		 */
		public static final String CONFIRM_EVALRESULT_URL = "confirmEvalResult.url";
		
		/**
		 * 确认上传评标结果接口名称
		 */
		public static final String CONFIRM_EVALRESULT_METHOD = "confirmEvalResult.method";
		
		/**
		 * 下载专家库的接口地址
		 */
		public static final String DOWNLOAD_EXPERT_ADDRESS = "expertLlibraryAddress";
		
		/**
		 * 下载专家库的URL
		 */
		public static final String DOWNLOAD_EXPERT_URL = "expertInfo.url";
		
		/**
		 * 下载专家库的接口名称
		 */
		public static final String DOWNLOAD_EXPERT_METHOD = "expertInfo.method";
		
		/**
		 * 下载专家库的账号
		 */
		public static final String DOWNLOAD_EXPERT_USERNAME = "expertLlibraryUserName";
		
		/**
		 * 下载专家库的密码
		 */
		public static final String DOWNLOAD_EXPERT_PASSWORD = "expertLlibraryPassword";
		
		/**
		 * 获取当前时间的接口地址
		 */
		public static final String NOW_TIME_URL = "nowTime.url";
		
		/**
		 * 获取当前时间的接口名称
		 */
		public static final String NOW_TIME_METHOD = "nowTime.method";

		/**
		 * 上传评标结果的接口名称
		 */
		public static final String UPLOAD_EVAL_RESULT_METHOD = "uploadEvaluateResult.method";
		
		/**
		 * 获得要下载项目所有包件列表的方法
		 */
		public static final String GET_PROJECT_PACK_LIST_METHOD = "tenderProjectInfoHS.do?getPackListByProject";
		
		/**
		 * 获得要下载项目方法
		 */
		public static final String GET_PROJECT_INFO_METHOD = "getProjectInfoByPackCode.method";
		/**
		 * 获得下载项目供应商方法
		 */
		public static final String GET_PROJECT_SUPPLIER_METHOD = "downloadSupplierList.method";
		/**
		 * 获取投标文件数据接口
		 */
		public static final String GET_BID_INFO = "getBidInfo";
		/**
		 * 下载招标文件申请接口
		 */
		public static final String DOWN_LOAD_BIDDING_FILE_METHOD = "downloadBiddingFileApply.method";
		/**
		 * 下载投标文件
		 */
		public static final String DOWN_LOAD_BID_FILE_METHOD = "downloadBidFileApply.method";
		/**
		 * 启动远程开标流程
		 */
		public static final String START_REMOTE_BIDOPENING_METHOD = "startRemoteBidOpening.method";
		/**
		 * 启动远程解密
		 */
		public static final String START_REMOTE_DECRYPT_METHOD = "startRemoteDecrypt.method";
		/**
		 * 启动远程集中解密
		 */
		public static final String START_FOCUS_BIDOPENING_METHOD = "startFocusBidOpening.method";
		
		/**
		 * 获取供应商签到信息
		 */
		public static final String GET_SUPPLIER_SIGN_MESSAGE_METHOD = "downloadSupplierSignMessageList.method";
		/**
		 * 获取供应商解密状态、确认状态
		 */
		public static final String GET_SUPPLIER_DECRYPT_STAUTS_METHOD = "downloadSupplierDecryptStauts.method";
		/** 
		 * 按项目获取签到信息
		 */
		public static final String GET_PROJECT_SIGN_MESSAGE_METHOD = "getProjectBidOpeningSignInfoList.method";
		/**
		 * 按项目获取解密状态、确认状态
		 */
		public static final String GET_PROJECT_DECRYPT_CONFIRM_STAUTS_METHOD = "getProjectDecryptAndConfirmStates.method";
		/**
		 * 下载已签章开标文件
		 */
		public static final String DOWNLOAD_OPENING_SIGNATURE_FILE = "downloadOpeningSignatureFile";
		/**
		 * 获取供应商解质疑
		 */
		public static final String GET_SUPPLIER_QUESTION = "downloadSupplierQuestion.method";
		/**
		 * 获取供应商投标报价
		 */
		public static final String GET_SUPPLIER_BIDPRICE_METHOD = "downloadSupplierBidPrice.method";
		/**
		 * 申请远程停止
		 */
		public static final String APPLY_STOP_DECRYPT = "applyStopDecrypt.method";
		/**
		 * 发送开标公告
		 */
		public static final String SEND_BIDOPENING_NOTICE_METHOD = "sendBidOpeningNotice.method";
		/**
		 * 发送唱标结果
		 */
		public static final String UPLOAD_SING_BIDRESULT_METHOD = "uploadSingBidResult.method";
		
		/**
		 * 版本更新下载地址
		 */
		public static final String VERSION_UPDATE_ADDRESS = "versionUpdateAddress";
		
		/**
		 * 上传终端信息
		 */
		public static final String UPLOAD_TERMINAL_ADDRESS = "uploadTerminalAddress";
		
		/**
		 * 获取项目经理发布的历史消息
		 */
		public static final String GET_BID_OPENING_NOTICE_LIST = "getBidOpeningNoticeList";
		
		/**
		 * 获取机构资质基本信息
		 */
		public static final String GET_ORGBASE_INFO = "getOrgBaseInfo.method";
		/**
		 * 获取财务状况信息
		 */
		public static final String GET_FINANCIAL_STATUS_INFO = "getFinancialStatusInfo.method";
		/**
		 * 获取获得专利信息
		 */
		public static final String GET_PATENT_INFO = "getPatentInfo.method";
		/**
		 * 获取认证证书信息
		 */
		public static final String GET_CERTIFICATE_AUTHENTICATION_INFO = "getCertificateAuthenticationInfo.method";
		/**
		 * 获取技术实力信息
		 */
		public static final String GET_TECHNICAL_STRENGTH_INFO = "getTechnicalStrengthInfo.method";
		/**
		 * 获取既有业绩信息
		 */
		public static final String GET_EXISTING_PERFORMANCE_INFO = "getExistingPerformanceInfo.method";
		/**
		 * 获取制造设备信息
		 */
		public static final String GET_MANUFACTURE_EQUIPMENT_INFO = "getManufactureEquipmentInfo.method";
		/**
		 * 获取制造工艺信息
		 */
		public static final String GET_MANUFACTURE_PROCESS_INFO = "getManufactureProcessInfo.method";
		/**
		 * 获取原材料或主要组件管理信息
		 */
		public static final String GET_RAW_MATERIAL_INFO = "getRawMaterialInfo.method";
		/**
		 * 获取试验设备信息
		 */
		public static final String GET_TEST_EQUIPMENT_INFO = "gettestEquipmentInfo.method";
		/**
		 * 获取试验检验人员信息
		 */
		public static final String GET_TEST_PERSONNEL_INFO = "getTestPersonnelInfo.method";
		/**
		 * 获取型式试验（一次，二次设备类）信息
		 */
		public static final String GET_TYPE_TEST_BY_MAIN_INFO = "getTypeTestByMainInfo.method";
		/**
		 * 获取型式试验（其他材料设备）信息
		 */
		public static final String GET_TYPE_TEST_BY_OTHER_INFO = "getTypeTestByOtherInfo.method";
		/**
		 * 获取试验场所信息
		 */
		public static final String GET_TEST_SITE_INFO = "getTestSiteInfo.method";
		/**
		 * 获取生产环境信息
		 */
		public static final String GET_PRODUCTION_ENVIRONMENT_INFO = "getProductionEnvironmentInfo.method";
		
		
		/**
		 * 下载专家库的接口地址
		 */
		public static final String DOWNLOAD_EXPERT_INFO = "downLoadExpertList";
		
		/**
		 * 下载奖项分项
		 */
		public static final String GETWIN_AWARD_LIST = "getWinawardList";
		
		/**
		 * 下载区内企业
		 */
		public static final String GETAREA_WIN_AWARD_LIST = "getAreaWinawardList";
		
		/**
		 * 公共服务平台验证专家
		 */
		public static final String EXPERT_VERIFICATION = "expertVerification.method";

		/**
		 * 下载澄清文件
		 */
		public static String INQUIRE_FILE_LIST = "getClarificationFileApply";
		
		
		/**
		 * 下载工作人员的接口名称
		 */
		public static final String DOWNLOAD_WORKER = "workerInfo.method";
		/**
		 * 下载监督人员的接口名称
		 */
		public static final String DOWNLOAD_MONITOR = "monitorInfo.method";
		
		/**
		 * 获取投标人标书交费信息列表
		 */
		public static final String DOWNLOAD_TENDERFEEINFO_METHOD = "getSupplierTenderFeeInfoList";
		
		/**
		 * 获取投标人投标保证金交费信息列表
		 */
		public static final String DOWNLOAD_BIDBONDINFO_METHOD = "getSupplierBidBondInfoList";
		/**
		 * 通过专家姓名身份证号码获取专家手写签名图片数据
		 */
		public static final String GET_EXPERT_SIGN_PICTURE_METHOD = "getExpertSignPicture.method";
		
		/**
		 * 获取专家扫码确认图片数据
		 */
		public static final String GET_EXPERT_SUREPITURE_METHOD = "getExpertSurePicture.method";
		
		
		/**
		 * 获取专家扫码确认结果p7签名值数据
		 */
		public static final String GET_EXPERT_P7VALUE_METHOD = "getExpertp7value.method";
		
		/**
		 * 获取专家扫码登录二维码图片数据
		 */
		public static final String GET_EXPERT_LOGIN_PICTURE_METHOD = "getExpertLoginPicture.method";
		
		/**
		 * 获取专家扫码登录后的base64位签名图片
		 */
		public static final String GET_EXPERT_LOGIN_BASE64_METHOD = "getExpertLoginBase64.method";
		
		/**
		 * 上传采购方法
		 */
		public static final String UPLOAD_TENDER_METHOD = "updateTendermethod";
		/**
		 * 申请转采购方法
		 */
		public static final String APPLY_TENDER_TURN = "applyTenderTurn";
		/**
		 * 申请转采购方法
		 */
		public static final String GET_TENDER_TURN_INFO = "getApplyTenderTurnInfo";
		/**
		 * 修改澄清
		 */
		public static final String GENERALFILEHS = "generalFileHSmethod";
		
		/**
		 * 申请再次报价
		 */
		public static final String APPLYREBIDPRICE = "applyReBidPrice";
		
		/**
		 * 获得最新的再次报价
		 */
		public static final String GETREBIDPRICE = "getReBidPrice";

		/**
		 * 同步供应商开标一览表签字状态
		 */
		public static final String DOWN_SUPPLIER_OPENFILE_STATUS = "downSupplierOpenFileStatus";
		
		/**
		 * 重新签章开标
		 */
		public static final String REPEAT_SIGN_FOR_OPENFILE = "bidOpeningHS.do?repeatSignForOpenFile";

		/**
		 * 区块链URL
		 */
		public static final String BLOCK_CHAIN_URL = "blockChainUrl";
		
		/**
		 * 邀请供应商进行视频接口
		 */
		public static final String INVITATION_SUPPLIER_MEETING = "invitationSupplierMeeting";
		/**
		 * 扫码接口
		 */
		public static final String GET_QRCODE_ISSCANED_METHOD = "getQRCodeIsScaned.method";
		public static final String GET_QRCODE_LOGININFO_METHOD = "getQRCodeLoginInfo.method";
		public static final String GET_SEALIMAGE_LISTINFO_METHOD = "getSealImageListInfo.method";
		
		/**
		 * 上传视频会议信息
		 */
		public static final String UPLOAD_MEETING_INFO = "uploadMeetingInfo";
		
		/**
		 * 上传时间
		 */
		public static final String PUSH_DATE_TO_VEDIO_PLAT_FORM = "pushDateToVedioPlatForm";
		/**
		 * 获取标书查重
		 */
		public static final String GET_AI_RESULT_METHOD = "getAIResult.method";
		
		/**
		 * 二次校验
		 */
		public static final String TWO_VIRIF = "userHS.do?checkEncryptionInfo";
		

}
