package com.gx.obe.boq;

import java.util.ArrayList;
import java.util.List;

import com.gx.obe.web.entity.boq.AppraisalPrice;
import com.gx.obe.web.entity.boq.BillTable;
import com.gx.obe.web.entity.boq.ConstructProject;
import com.gx.obe.web.entity.boq.DayWorks;
import com.gx.obe.web.entity.boq.ExtraTable;
import com.gx.obe.web.entity.boq.MaterialSummary;
import com.gx.obe.web.entity.boq.MeasureTable;
import com.gx.obe.web.entity.boq.ProjectSummary;
import com.gx.obe.web.entity.boq.ProvisionalSums;
import com.gx.obe.web.entity.boq.QuotaItem;
import com.gx.obe.web.entity.boq.RatesTable;
import com.gx.obe.web.entity.boq.ServiceCosts;
import com.gx.obe.web.entity.boq.SupplyMaterialDetail;

/**
 * @Description: 数据集
 * @author mazc
 */
public class AnalyzeDataSource {
	private String tenderId;
	private String supplierId;
	private List<ConstructProject> projectList = new ArrayList<ConstructProject>();
	private List<BillTable> billTableList = new ArrayList<BillTable>();
	private List<QuotaItem> quotaItemList = new ArrayList<QuotaItem>();
	private List<MeasureTable> measureTableList = new ArrayList<MeasureTable>();
	
	private List<ExtraTable> extraTableList = new ArrayList<ExtraTable>();
	private List<ProjectSummary> projectSummaryList = new ArrayList<ProjectSummary>();
	
	private List<ProvisionalSums> provisionalSumsList = new ArrayList<ProvisionalSums>();
	
	private List<AppraisalPrice> appraisalPriceList = new ArrayList<AppraisalPrice>();
	
	private List<ServiceCosts> serviceCostsList = new ArrayList<ServiceCosts>();
	
	private List<DayWorks> dayWorksList = new ArrayList<DayWorks>();
	
	private List<RatesTable> ratesTableList = new ArrayList<RatesTable>();
	
	private List<MaterialSummary> materialSummaryList = new ArrayList<MaterialSummary>();
	
	private List<SupplyMaterialDetail> supplyMaterialDetailList = new ArrayList<SupplyMaterialDetail>();
	
	public void clearData() {
		projectList.clear();
		billTableList.clear();
		quotaItemList.clear();
		measureTableList.clear();
		extraTableList.clear();
		projectSummaryList.clear();
		provisionalSumsList.clear();
		appraisalPriceList.clear();
		serviceCostsList.clear();
		dayWorksList.clear();
		ratesTableList.clear();
		materialSummaryList.clear();
		supplyMaterialDetailList.clear();
	}
	
	public String getTenderId() {
		return tenderId;
	}
	
	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}
	
	public String getSupplierId() {
		return supplierId;
	}
	
	public void setSupplierId(String supplierId) {
		this.supplierId = supplierId;
	}
	
	public List<ServiceCosts> getServiceCostsList() {
		return serviceCostsList;
	}
	
	public void setServiceCostsList(List<ServiceCosts> serviceCostsList) {
		this.serviceCostsList = serviceCostsList;
	}
	
	public List<DayWorks> getDayWorksList() {
		return dayWorksList;
	}
	
	public void setDayWorksList(List<DayWorks> dayWorksList) {
		this.dayWorksList = dayWorksList;
	}
	
	public List<AppraisalPrice> getAppraisalPriceList() {
		return appraisalPriceList;
	}
	
	public void setAppraisalPriceList(List<AppraisalPrice> appraisalPriceList) {
		this.appraisalPriceList = appraisalPriceList;
	}
	
	public List<ProvisionalSums> getProvisionalSumsList() {
		return provisionalSumsList;
	}
	
	public void setProvisionalSumsList(List<ProvisionalSums> provisionalSumsList) {
		this.provisionalSumsList = provisionalSumsList;
	}
	
	public List<ConstructProject> getProjectList() {
		return projectList;
	}
	
	public void setProjectList(List<ConstructProject> projectList) {
		this.projectList = projectList;
	}
	
	public List<BillTable> getBillTableList() {
		return billTableList;
	}
	
	public void setBillTableList(List<BillTable> billTableList) {
		this.billTableList = billTableList;
	}
	
	public List<QuotaItem> getQuotaItemList() {
		return quotaItemList;
	}
	
	public void setQuotaItemList(List<QuotaItem> quotaItemList) {
		this.quotaItemList = quotaItemList;
	}
	
	public List<MeasureTable> getMeasureTableList() {
		return measureTableList;
	}
	
	public void setMeasureTableList(List<MeasureTable> measureTableList) {
		this.measureTableList = measureTableList;
	}
	
	public List<ExtraTable> getExtraTableList() {
		return extraTableList;
	}
	
	public void setExtraTableList(List<ExtraTable> extraTableList) {
		this.extraTableList = extraTableList;
	}
	
	public void setRatesTableList(List<RatesTable> ratesTableList) {
		this.ratesTableList = ratesTableList;
	}
	
	public List<RatesTable> getRatesTableList() {
		return ratesTableList;
	}
	
	public List<ProjectSummary> getProjectSummaryList() {
		return projectSummaryList;
	}
	
	public void setProjectSummaryList(List<ProjectSummary> projectSummaryList) {
		this.projectSummaryList = projectSummaryList;
	}
	
	public void setSupplyMaterialDetailList(List<SupplyMaterialDetail> supplyMaterialDetailList) {
		this.supplyMaterialDetailList = supplyMaterialDetailList;
	}
	
	public List<SupplyMaterialDetail> getSupplyMaterialDetailList() {
		return supplyMaterialDetailList;
	}
	
	public void setMaterialSummaryList(List<MaterialSummary> materialSummaryList) {
		this.materialSummaryList = materialSummaryList;
	}
	
	public List<MaterialSummary> getMaterialSummaryList() {
		return materialSummaryList;
	}
	
}
