package com.gx.obe.business.enumeration;

import com.gx.obe.message.Messages;
import com.gx.obe.util.utils.StringUtils;

public class UserEnum {
	
	/**
	 * 角色[00：临时；01：项目经理：02：专评；03：监督人;04:工作人员]
	 */
    public static final String TEMP = "00";
    public static final String OPERATOR = "01";
    public static final String OPENING_MANAGER = "05";
    public static final String EXPERT = "02";
    public static final String MONITOR = "03";
    public static final String WORKER = "04";
    public static String getUserTypeCN(String str) {
    	if(StringUtils.isEmpty(str)){
    		return "临时";
    	}else if(str.equals(OPERATOR)){
    		return "项目经理";
    	}else if(str.equals(EXPERT)){
    		return Messages.Expert;
    	}else if(str.equals(MONITOR)){
    		return "监督人";
    	}else if(str.equals(WORKER)){
        	return Messages.Worker;
        }
   
    	return "临时";
    }
    
    
    /**
	 * 角色[00：临时；01：项目经理：02：专评；03：监督人;04:工作人员]
	 */
    public static final String ROLE_TYPE_EVALUATION_MANAGER = "EVALUATION_MANAGER";
    public static final String ROLE_TYPE_OPENING_MANAGER = "OPENING_MANAGER";
    public static final String ROLE_TYPE_EXPERT = "EXPERT";
    public static final String ROLE_TYPE_EVALUATION_MONITOR = "EVALUATION_MONITOR";
    public static final String ROLE_TYPE_EVALUATOIN_WORKER = "EVALUATOIN_WORKER";
    public static final String ROLE_TYPE_SYSTEM_MANAGER = "SYSTEM_MANAGER";
    public static final String ROLE_SUPER_MANAGER = "SUPER_MANAGER";
    public static final String ROLE_OPERATOR = "OPERATOR";// 操作员
    
    
    /**
	 * 姓别[0：女,1：男]
	 */
    public static final String MALE = "1";
    public static final String FEMALE = "0";
    public static String getUserGenderCN(String str) {
    	if(StringUtils.isEmpty(str)){
    		return "";
    	}else if(str.equals(MALE)){
    		return Messages.Male;
    	}else if(str.equals(FEMALE)){
    		return Messages.Female;
    	}
    	return "";
    }
    
	/**
	 *	 用户来源[00:本地 01:远程]
	 */
	public static final String USER_SOURCE_LOCAL = "00";
	public static final String USER_SOURCE_REMOTE = "01";
}
