package com.gx.obe.business.vo;

import java.math.BigDecimal;


/** 
 * @Description: 
 * @author guoyr 
 */
/**
 * @preserve private
 */
public abstract class BidOpeningInfo{

	public int tenderCount;
	public int signCount;
	public int decCount;
	public int decFailCount;
	public int confirmCount;
	public int confirmQuestionCount;
	public int revokeCount;
	public int invalidCount;
	public boolean isComplate;
	public boolean hasError = false;
	public BigDecimal bidPrice;
	
	public int getTenderCount() {
		return tenderCount;
	}
	public void setTenderCount(int tenderCount) {
		this.tenderCount = tenderCount;
	}
	public int getSignCount() {
		return signCount;
	}
	public void setSignCount(int signCount) {
		this.signCount = signCount;
	}
	public int getDecCount() {
		return decCount;
	}
	public void setDecCount(int decCount) {
		this.decCount = decCount;
	}
	public int getConfirmCount() {
		return confirmCount;
	}
	public void setConfirmCount(int confirmCount) {
		this.confirmCount = confirmCount;
	}
	public boolean isComplate() {
		return isComplate;
	}
	public void setComplate(boolean isComplate) {
		this.isComplate = isComplate;
	}
	public int getDecFailCount() {
		return decFailCount;
	}
	public void setDecFailCount(int decFailCount) {
		this.decFailCount = decFailCount;
	}
	public int getConfirmQuestionCount() {
		return confirmQuestionCount;
	}
	public void setConfirmQuestionCount(int confirmQuestionCount) {
		this.confirmQuestionCount = confirmQuestionCount;
	}
	public BigDecimal getBidPrice() {
		return bidPrice;
	}
	public void setBidPrice(BigDecimal bidPrice) {
		this.bidPrice = bidPrice;
	}
	public int getRevokeCount() {
		return revokeCount;
	}
	public void setRevokeCount(int revokeCount) {
		this.revokeCount = revokeCount;
	}
	
	public int getInvalidCount() {
		return invalidCount;
	}
	public void setInvalidCount(int invalidCount) {
		this.invalidCount = invalidCount;
	}
	
	public boolean isHasError() {
		return hasError;
	}
	public void setHasError(boolean hasError) {
		this.hasError = hasError;
	}
	public boolean isSignComplate(){
		if(signCount > 0){
			if(signCount >= tenderCount - revokeCount - invalidCount){
				return true;
			}
		}
		return false;
	}
	public boolean isDecComplate(){
		if(decCount > 0){
//			if(decCount >= signCount){
			if(decCount >= tenderCount - revokeCount - invalidCount){
				return true;
			}
		}
		return false;
	}
	public boolean isConfirmComplate(){
		if(confirmCount > 0 && isDecComplate()){
			if(confirmCount >= decCount){
				return true;
			}
		}
		return false;
	}
}
