package com.gx.obe.business.vo;

import com.gx.obe.business.entity.SupplierEvaluationStep;
import com.gx.obe.web.entity.auth.AuthUser;
import com.gx.obe.web.entity.evaluation.EvaluationStep;
import com.gx.obe.web.entity.expert.ExpertEvaluationResult;

/**
 * @preserve private
 */
public class RecommonedFactor {
	private EvaluationStep evaluationStep;
	private ExpertEvaluationResult expertEvaluationResult;
	private SupplierEvaluationStep supplierEvaluationStep;
	private AuthUser user; 
	private int mergerCount = 0;
	private String factorName;
	private String rankExpertCount;
	public RecommonedFactor(EvaluationStep evaluationStep, AuthUser user, String factorName){
		this.evaluationStep = evaluationStep;
		this.user = user;
		this.factorName = factorName;
	}
	public EvaluationStep getEvaluationStep() {
		return evaluationStep;
	}
	public void setEvaluationStep(EvaluationStep evaluationStep) {
		this.evaluationStep = evaluationStep;
	}
	public AuthUser getUser() {
		return user;
	}
	public void setUser(AuthUser user) {
		this.user = user;
	}
	public int getMergerCount() {
		return mergerCount;
	}
	public void setMergerCount(int mergerCount) {
		this.mergerCount = mergerCount;
	}
	public ExpertEvaluationResult getExpertEvaluationResult() {
		return expertEvaluationResult;
	}
	public void setExpertEvaluationResult(
			ExpertEvaluationResult expertEvaluationResult) {
		this.expertEvaluationResult = expertEvaluationResult;
	}
	public SupplierEvaluationStep getSupplierEvaluationStep() {
		return supplierEvaluationStep;
	}
	public void setSupplierEvaluationStep(
			SupplierEvaluationStep supplierEvaluationStep) {
		this.supplierEvaluationStep = supplierEvaluationStep;
	}
	public String getFactorName() {
		return factorName;
	}
	public void setFactorName(String factorName) {
		this.factorName = factorName;
	}
	public void setRankExpertCount(String rankExpertCount) {
		this.rankExpertCount = rankExpertCount;
	}
	public String getRankExpertCount() {
		return rankExpertCount;
	}
	
}
