package com.gx.obe.business.vo;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 
 * @author guoyr
 */
/**
 * @preserve private
 */
public class UnCompleteCheckResult {
	
	private String id;
	private String code;//评审项目编号
	private String name;//评审项目
	private boolean reasonable;// 是否合理
	private String opinion;// 检查结果
	private String errorItem;// 错误项
	private String correctItem;// 正确项
	private BigDecimal price;// 报出金额
	private BigDecimal calculate;// 计算基数
	private String calculateRemark;// 计算基数说明
	private BigDecimal rate;// 报出费率%
	private BigDecimal baseRate;// 规定费率%
	private UnCompleteCheckResult parent;
	private String parentId;
	private List<UnCompleteCheckResult> childList = new ArrayList<UnCompleteCheckResult>();
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public boolean isReasonable() {
		return reasonable;
	}
	
	public void setReasonable(boolean reasonable) {
		this.reasonable = reasonable;
	}
	
	public String getOpinion() {
		return opinion;
	}
	
	public void setOpinion(String opinion) {
		this.opinion = opinion;
	}
	
	public String getErrorItem() {
		return errorItem;
	}
	
	public void setErrorItem(String errorItem) {
		this.errorItem = errorItem;
	}
	
	public String getCorrectItem() {
		return correctItem;
	}
	
	public void setCorrectItem(String correctItem) {
		this.correctItem = correctItem;
	}
	
	public UnCompleteCheckResult getParent() {
		return parent;
	}
	
	public void setParent(UnCompleteCheckResult parent) {
		this.parent = parent;
	}
	
	public String getParentId() {
		return parentId;
	}
	
	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
	
	public List<UnCompleteCheckResult> getChildList() {
		return childList;
	}
	
	public void setChildList(List<UnCompleteCheckResult> childList) {
		this.childList = childList;
	}
	
	public BigDecimal getPrice() {
		return price;
	}
	
	public void setPrice(BigDecimal price) {
		this.price = price;
	}
	
	public BigDecimal getCalculate() {
		return calculate;
	}
	
	public void setCalculate(BigDecimal calculate) {
		this.calculate = calculate;
	}
	
	public String getCalculateRemark() {
		return calculateRemark;
	}
	
	public void setCalculateRemark(String calculateRemark) {
		this.calculateRemark = calculateRemark;
	}
	
	public BigDecimal getRate() {
		return rate;
	}
	
	public void setRate(BigDecimal rate) {
		this.rate = rate;
	}
	
	public BigDecimal getBaseRate() {
		return baseRate;
	}
	
	public void setBaseRate(BigDecimal baseRate) {
		this.baseRate = baseRate;
	}
	
	public void addChild(UnCompleteCheckResult child) {
		childList.add(child);
	}
}
