package com.gx.utils;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

import com.gx.obe.components.core.Constants;
import com.gx.obe.web.service.RefshTokenService;

public class RefreshTokenTask {
	
 	public static  RefreshTokenTask refreshTokenTask;
	private static ScheduledExecutorService executor = Executors.newSingleThreadScheduledExecutor();
	private RefshTokenService refshTokenService = new  RefshTokenService();
	private RunnableTask runnableTask;
	private long period = 5 * 60; //执行周期为5分钟一次
	
	public static RefreshTokenTask getRefreshTokenTask(){
		if(null == refreshTokenTask) {
			refreshTokenTask = new RefreshTokenTask();
		}
		return refreshTokenTask;
	}
	
	public void startTask() {
		if(null !=runnableTask) {
			return ;
		}
		runnableTask = new RunnableTask();
		executor.scheduleAtFixedRate(runnableTask, period, period, TimeUnit.SECONDS); 
	}
	
	
	
	public class RunnableTask implements Runnable{
	    public void run() {
	    	Constants.TOKEN = refshTokenService.refshToken(Constants.TOKEN);
	    }
	}
 
	public static void main(String[] args) {
		RefreshTokenTask.getRefreshTokenTask().startTask();
		RefreshTokenTask.getRefreshTokenTask().startTask();
		RefreshTokenTask.getRefreshTokenTask().startTask();
	}
}
