package com.gx.obe.business.entity;

import java.io.Serializable;
import java.util.Date;

public class ExpertEvaluationStepLogInfo implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -1516801639595029877L;
	
	public ExpertEvaluationStepLogInfo() {
		
	}
	public ExpertEvaluationStepLogInfo(String reason, String applyUserName, String applyUserAccount,
			String applyUserIdCard, String applyType, Date applyDate, Date approveDate, String approveUserName,
			String approveUserIdCard, String approveUserAccount) {
		super();
		this.reason = reason;
		this.applyUserName = applyUserName;
		this.applyUserAccount = applyUserAccount;
		this.applyUserIdCard = applyUserIdCard;
		this.applyType = applyType;
		this.applyDate = applyDate;
		this.approveDate = approveDate;
		this.approveUserName = approveUserName;
		this.approveUserIdCard = approveUserIdCard;
		this.approveUserAccount = approveUserAccount;
	}

	/**
	 *  	申请原因
	 */
	private String reason;
	
	/**
	 *    	申请人名称
	 */
	private String applyUserName;
	
	
	private String applyUserAccount;
	
	/**
	 *   	申请人证件号
	 */
	private String applyUserIdCard;
	
	
	/**
	 *  	申请类型（00：专家申请    01：项目经理退回）
	 */
	private String applyType;
	
	
	/**
	 * 	专家申请时间
	 */
	private Date applyDate;
	
	
	/**
	 *   	项目经理审批时间
	 */
	private Date approveDate;
	
	
	/**
	 *    	申请人名称
	 */
	private String approveUserName;
	
	/**
	 *   	申请人证件号
	 */
	private String approveUserIdCard;
	
	
	private String approveUserAccount;

	/**
	 * @return the reason
	 */
	public String getReason() {
		return reason;
	}

	/**
	 * @param reason the reason to set
	 */
	public void setReason(String reason) {
		this.reason = reason;
	}

	/**
	 * @return the applyUserName
	 */
	public String getApplyUserName() {
		return applyUserName;
	}

	/**
	 * @param applyUserName the applyUserName to set
	 */
	public void setApplyUserName(String applyUserName) {
		this.applyUserName = applyUserName;
	}

	/**
	 * @return the applyUserIdCard
	 */
	public String getApplyUserIdCard() {
		return applyUserIdCard;
	}

	/**
	 * @param applyUserIdCard the applyUserIdCard to set
	 */
	public void setApplyUserIdCard(String applyUserIdCard) {
		this.applyUserIdCard = applyUserIdCard;
	}

	/**
	 * @return the applyType
	 */
	public String getApplyType() {
		return applyType;
	}

	/**
	 * @param applyType the applyType to set
	 */
	public void setApplyType(String applyType) {
		this.applyType = applyType;
	}

	/**
	 * @return the applyDate
	 */
	public Date getApplyDate() {
		return applyDate;
	}

	/**
	 * @param applyDate the applyDate to set
	 */
	public void setApplyDate(Date applyDate) {
		this.applyDate = applyDate;
	}

	/**
	 * @return the approveDate
	 */
	public Date getApproveDate() {
		return approveDate;
	}

	/**
	 * @param approveDate the approveDate to set
	 */
	public void setApproveDate(Date approveDate) {
		this.approveDate = approveDate;
	}

	/**
	 * @return the approveUserName
	 */
	public String getApproveUserName() {
		return approveUserName;
	}

	/**
	 * @param approveUserName the approveUserName to set
	 */
	public void setApproveUserName(String approveUserName) {
		this.approveUserName = approveUserName;
	}

	/**
	 * @return the approveUserIdCard
	 */
	public String getApproveUserIdCard() {
		return approveUserIdCard;
	}

	/**
	 * @param approveUserIdCard the approveUserIdCard to set
	 */
	public void setApproveUserIdCard(String approveUserIdCard) {
		this.approveUserIdCard = approveUserIdCard;
	}

	/**
	 * @return the applyUserAccount
	 */
	public String getApplyUserAccount() {
		return applyUserAccount;
	}

	/**
	 * @param applyUserAccount the applyUserAccount to set
	 */
	public void setApplyUserAccount(String applyUserAccount) {
		this.applyUserAccount = applyUserAccount;
	}

	/**
	 * @return the approveUserAccount
	 */
	public String getApproveUserAccount() {
		return approveUserAccount;
	}

	/**
	 * @param approveUserAccount the approveUserAccount to set
	 */
	public void setApproveUserAccount(String approveUserAccount) {
		this.approveUserAccount = approveUserAccount;
	}
	
	
	

}
