package com.gx.obe.business.enumeration;

public class MenuFunctionEnum {

	/**
	 * 自动下载今日项目
	 */
	public static final String AUTO_DOWN_TODAY_PROJECT = "AUTO_DOWN_TODAY_PROJECT";
	/**
	 * 开标大厅同步最新项目信息（开标时间）
	 */
	public static final String SYNCHRONIZE_LATEST_OPENING_TIME = "SYNCHRONIZE_LATEST_OPENING_TIME";
	/**
	 * 强制修改开标一览表
	 */
	public static final String FORCE_EDIT_BID_PRICE_TABLE = "FORCE_EDIT_BID_PRICE_TABLE";
	
	/**
	 * 公开招标不足三家限制
	 */
	public static final String LESS_THAN_THREE_FILTER = "LESS_THAN_THREE_FILTER";
	
	/**
	 * 建筑工程项目必须是7个以上奇数个专家，其他类型项目必须是5个以上奇数个专家，且招标代表不能超过1/3
	 */
	public static final String EXPERT_COUNT_FILTER = "EXPERT_COUNT_FILTER";
	
	/**
	 * 必须需要组长
	 */
	public static final String NEED_EXPERT_LEADER = "NEED_EXPERT_LEADER";
	/**
	 * 如果是手动控制进度时，再下一步还未开始评之前允许继续修改上一步评审步骤（不受提交限制）
	 */
	public static final String ALLOW_EVALUATION_BEFORE_START_NEXT = "ALLOW_EVALUATION_BEFORE_START_NEXT";
	
	/**
	 * 开标界面显示标书的详细解密状态(即分显示、商务、技术和价格)
	 */
	public static final String SHOW_OPENING_BID_DETAIL_STATUS = "SHOW_OPENING_BID_DETAIL_STATUS";
	
	/**
	 * 开标界面设置是否匿名显示
	 */
	public static final String SHOW_IS_ANONYMOUS_CONFIG = "SHOW_IS_ANONYMOUS_CONFIG";
	
	/**
	 * 是否显示视频会议
	 */
	public static final String SHOW_MEETING_VIDEO = "SHOW_MEETING_VIDEO";
	
	/**
	 * 是否显示标书清标意见
	 */
	public static final String VIEW_BID_FILE_OPINION = "VIEW_BID_FILE_OPINION";
	/**
	 * 是否显示天眼查征信
	 */
	public static final String VIEW_CREDIT_TYC = "VIEW_CREDIT_TYC";
	/**
	 * 是否显示中数智汇征信
	 */
	public static final String VIEW_CREDIT_ZSZH = "VIEW_CREDIT_ZSZH";
	/**
	 * 评标结束是否删除标书
	 */
	public static final String DELETE_BID_FILE_BY_EVALUATION_FINISH = "DELETE_BID_FILE_BY_EVALUATION_FINISH";
	
	/**
	 * 导出标书
	 */
	public static final String EXPORT_BID_FILES = "EXPORT_BID_FILES";
	/**
	 * 打开标书目录
	 */
	public static final String OPEN_BID_FILES_DIR = "OPEN_BID_FILES_DIR";
	/**
	 * 自动下载专家
	 */
	public static final String AUTO_DOWN_EXPERT = "AUTO_DOWN_EXPERT";
	/**
	 * 是否上传开标结果在能下载专家（京能）
	 */
	public static final String HAS_UPLOAD_OPEN_RESULT = "HAS_UPLOAD_OPEN_RESULT";
}