package com.gx.obe.business.vo;

import java.math.BigDecimal;

/**
 * @Description: 清单
 * @author chenxw
 */
/**
 * @preserve private
 */
public class DeParameter {

	private String id;

	private String deCode;//编码
	private String deName;//名称
	private String unit;//计量单位
	private BigDecimal quantity;//工程量
	private BigDecimal unitPrice;//综合单价
	private BigDecimal combinedPrice;//综合合价
	private BigDecimal labor;//人工费
	private BigDecimal materialFee;//材料费
	private BigDecimal machineFee;//机械费
	private BigDecimal managerFee;//管理费

	public DeParameter(
			String id, 
			String deCode, 
			String deName, 
			String unit, 
			BigDecimal quantity, 
			BigDecimal unitPrice, 
			BigDecimal combinedPrice, 
			BigDecimal labor, 
			BigDecimal materialFee, 
			BigDecimal machineFee, 
			BigDecimal managerFee) {
		this.id = id;
		this.deCode = deCode;
		this.deName = deName;
		this.unit = unit;
		this.quantity = quantity;
		this.unitPrice = unitPrice;
		this.combinedPrice = combinedPrice;
		this.labor = labor;
		this.materialFee = materialFee;
		this.machineFee = machineFee;
		this.managerFee = managerFee;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getId() {
		return id;
	}

	/**
	 * @Description: 定额编码
	 * @author chenxw
	 * @return
	 */
	public String getDeCode() {
		return deCode;
	}

	/**
	 * @Description: 定额名称
	 * @author chenxw
	 * @return
	 */
	public String getDeName() {
		return deName;
	}

	/**
	 * @Description: 单位
	 * @author chenxw
	 * @return
	 */
	public String getUnit() {
		return unit;
	}

	/**
	 * @Description: 工程量
	 * @author chenxw
	 * @return
	 */
	public BigDecimal getQuantity() {
		return quantity;
	}

	/**
	 * @Description: 单价
	 * @author chenxw
	 * @return
	 */
	public BigDecimal getUnitPrice() {
		return unitPrice;
	}

	/**
	 * @Description: 合价
	 * @author chenxw
	 * @return
	 */
	public BigDecimal getCombinedPrice() {
		return combinedPrice;
	}

	/**
	 * @Description: 人工费
	 * @author chenxw
	 * @return
	 */
	public BigDecimal getLabor() {
		return labor;
	}

	/**
	 * @Description: 材料费
	 * @author chenxw
	 * @return
	 */
	public BigDecimal getMaterialFee() {
		return materialFee;
	}

	/**
	 * @Description: 机械费
	 * @author chenxw
	 * @return
	 */
	public BigDecimal getMachineFee() {
		return machineFee;
	}

	/**
	 * @Description: 管理费
	 * @author chenxw
	 * @return
	 */
	public BigDecimal getManagerFee() {
		return managerFee;
	}

}
