package com.gx.obe.business.vo;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 
 * @author guoyr
 */
/**
 * @preserve private
 */
public class ErrorLeakCheckResult {
	
	private String id;
	private String code;//评审项目编号
	private String name;//评审项目
	private boolean reasonable;// 是否合理
	private String opinion;// 检查结果
	private String errorItem;// 错误项
	private String correctItem;// 正确项
	private ErrorLeakCheckResult parent;
	private String checkType; //检查类型
	private String parentId;
	private List<ErrorLeakCheckResult> childList = new ArrayList<ErrorLeakCheckResult>();
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public boolean isReasonable() {
		return reasonable;
	}
	
	public void setReasonable(boolean reasonable) {
		this.reasonable = reasonable;
	}
	
	public String getOpinion() {
		return opinion;
	}
	
	public void setOpinion(String opinion) {
		this.opinion = opinion;
	}
	
	public String getErrorItem() {
		return errorItem;
	}
	
	public void setErrorItem(String errorItem) {
		this.errorItem = errorItem;
	}
	
	public String getCorrectItem() {
		return correctItem;
	}
	
	public void setCorrectItem(String correctItem) {
		this.correctItem = correctItem;
	}
	
	public ErrorLeakCheckResult getParent() {
		return parent;
	}
	
	public void setParent(ErrorLeakCheckResult parent) {
		this.parent = parent;
	}
	
	public String getParentId() {
		return parentId;
	}
	
	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
	
	public List<ErrorLeakCheckResult> getChildList() {
		return childList;
	}
	
	public void setChildList(List<ErrorLeakCheckResult> childList) {
		this.childList = childList;
	}
	
	public void addChild(ErrorLeakCheckResult child) {
		childList.add(child);
	}
	
	public String getCheckType() {
		return checkType;
	}
	
	public void setCheckType(String checkType) {
		this.checkType = checkType;
	}
	
}
