package com.gx.obe.business.vo;

import java.math.BigDecimal;

import com.gx.obe.util.utils.DecimalCxwUtils;

public class ProvisionalSumConsistencyCheckResult {
	
	/**
	 * 项目名称
	 */
	private String projectName;
	
	/**
	 * 总价
	 */
	private BigDecimal provisionalSum;
	
	/**
	 * 总控制价
	 */
	private BigDecimal tenderProvisionalSum;
	
	public String getProjectName() {
		return projectName;
	}
	
	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}
	
	public BigDecimal getProvisionalSum() {
		return provisionalSum;
	}
	
	public void setProvisionalSum(BigDecimal provisionalSum) {
		this.provisionalSum = provisionalSum;
	}
	
	public BigDecimal getTenderProvisionalSum() {
		return tenderProvisionalSum;
	}
	
	public void setTenderProvisionalSum(BigDecimal tenderProvisionalSum) {
		this.tenderProvisionalSum = tenderProvisionalSum;
	}
	
	public String getResult() {
		return isError() ? "暂列金额与招标文件规定不一致" : "暂列金额与招标文件规定一致";
	}
	
	public boolean isError() {
		return DecimalCxwUtils.compareTo(getProvisionalSum(), getTenderProvisionalSum()) != 0;
	}
	
}
