package com.gx.obe.business.vo;

import java.util.Date;
import java.util.List;

import com.gx.obe.web.entity.SupplierOpeningResult;
import com.gx.obe.web.entity.price.BidPriceResult;

/** 
 * @Description: 项目下每个供应商的报价结果
 * @author guoyr 
 */
/**
 * @preserve private
 */
public class SupplierBidPriceResult{
	private String tenderId;
	private String supplierId;
	private boolean dencFlag;
	private Date bidOpeningTime;
	private String openbidRecord;
	private SupplierOpeningResult supplierOpeningResult;
	/**
	 * 分项报价列表
	 */
	private List<BidPriceResult> bidPriceResultList;
	public String getTenderId() {
		return tenderId;
	}
	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}
	public String getSupplierId() {
		return supplierId;
	}
	public void setSupplierId(String supplierId) {
		this.supplierId = supplierId;
	}
	public boolean isDencFlag() {
		return dencFlag;
	}
	public void setDencFlag(boolean dencFlag) {
		this.dencFlag = dencFlag;
	}
	public Date getBidOpeningTime() {
		return bidOpeningTime;
	}
	public void setBidOpeningTime(Date bidOpeningTime) {
		this.bidOpeningTime = bidOpeningTime;
	}
	public String getOpenbidRecord() {
		return openbidRecord;
	}
	public void setOpenbidRecord(String openbidRecord) {
		this.openbidRecord = openbidRecord;
	}
	
	public List<BidPriceResult> getBidPriceResultList() {
		return bidPriceResultList;
	}
	public void setBidPriceResultList(List<BidPriceResult> bidPriceResultList) {
		this.bidPriceResultList = bidPriceResultList;
	}
	public SupplierOpeningResult getSupplierOpeningResult() {
		return supplierOpeningResult;
	}
	public void setSupplierOpeningResult(SupplierOpeningResult supplierOpeningResult) {
		this.supplierOpeningResult = supplierOpeningResult;
	}
	
	
}
