package com.gx.obe.business.vo;

import java.util.HashMap;
import java.util.Map;

/**
 * @preserve private
 */
public class SupplierQdEvaluationResult {
	
	private String id;
	
	private Map<String, QdItem> qdItemMap = new HashMap<String, QdItem>();
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public void addQdItem(QdItem qdItem) {
		qdItemMap.put(qdItem.getSupplierQdId(), qdItem);
	}
	
	public QdItem getQdItem(String supplierQdId) {
		return qdItemMap.get(supplierQdId);
	}
	
}
