package com.gx.obe.business.vo;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 
 * @author guoyr
 */
/**
 * @preserve private
 */
public class TaxFeesCheckResult {
	
	private String id;
	private String code;//评审项目编号
	private String name;//评审项目
	private boolean reasonable;// 是否合理
	private String opinion;// 检查结果
	private BigDecimal preTaxCost;//税前工程造价
	private BigDecimal selfSupplyFee;//甲供材料设备
	private BigDecimal equipmentFee;//设备费
	private BigDecimal inputTax;//进项税额
	private BigDecimal outputTax;//销项税额
	private BigDecimal outputTaxRate;// 销项税额费率
	private BigDecimal valueAddedTax;//增值税应纳税额
	private BigDecimal surchargeTaxRate;// 附加税费费率
	private BigDecimal calculateSurchargeTax;// 计算后的附加税费  附加税费 = 增值税应纳税额*附加税费费率  ， 其中：增值税应纳税额 = 销项税额-进项税额   
	private BigDecimal surchargeTax;// 附加税费
	private BigDecimal taxes;//税金
	private BigDecimal calculateTaxes;//计算后税金
	private TaxFeesCheckResult parent;
	private String parentId;
	private List<TaxFeesCheckResult> childList = new ArrayList<TaxFeesCheckResult>();
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public boolean isReasonable() {
		return reasonable;
	}
	
	public void setReasonable(boolean reasonable) {
		this.reasonable = reasonable;
	}
	
	public String getOpinion() {
		return opinion;
	}
	
	public void setOpinion(String opinion) {
		this.opinion = opinion;
	}
	
	public TaxFeesCheckResult getParent() {
		return parent;
	}
	
	public void setParent(TaxFeesCheckResult parent) {
		this.parent = parent;
	}
	
	public String getParentId() {
		return parentId;
	}
	
	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
	
	public List<TaxFeesCheckResult> getChildList() {
		return childList;
	}
	
	public void setChildList(List<TaxFeesCheckResult> childList) {
		this.childList = childList;
	}
	
	public void addChild(TaxFeesCheckResult child) {
		childList.add(child);
	}
	
	public BigDecimal getPreTaxCost() {
		return preTaxCost;
	}
	
	public void setPreTaxCost(BigDecimal preTaxCost) {
		this.preTaxCost = preTaxCost;
	}
	
	public BigDecimal getSelfSupplyFee() {
		return selfSupplyFee;
	}
	
	public void setSelfSupplyFee(BigDecimal selfSupplyFee) {
		this.selfSupplyFee = selfSupplyFee;
	}
	
	public BigDecimal getEquipmentFee() {
		return equipmentFee;
	}
	
	public void setEquipmentFee(BigDecimal equipmentFee) {
		this.equipmentFee = equipmentFee;
	}
	
	public BigDecimal getInputTax() {
		return inputTax;
	}
	
	public void setInputTax(BigDecimal inputTax) {
		this.inputTax = inputTax;
	}
	
	public BigDecimal getOutputTax() {
		return outputTax;
	}
	
	public void setOutputTax(BigDecimal outputTax) {
		this.outputTax = outputTax;
	}
	
	public BigDecimal getValueAddedTax() {
		return valueAddedTax;
	}
	
	public void setValueAddedTax(BigDecimal valueAddedTax) {
		this.valueAddedTax = valueAddedTax;
	}
	
	public BigDecimal getSurchargeTax() {
		return surchargeTax;
	}
	
	public void setSurchargeTax(BigDecimal surchargeTax) {
		this.surchargeTax = surchargeTax;
	}
	
	public BigDecimal getCalculateSurchargeTax() {
		return calculateSurchargeTax;
	}
	
	public void setCalculateSurchargeTax(BigDecimal calculateSurchargeTax) {
		this.calculateSurchargeTax = calculateSurchargeTax;
	}
	
	public BigDecimal getSurchargeTaxRate() {
		return surchargeTaxRate;
	}
	
	public void setSurchargeTaxRate(BigDecimal surchargeTaxRate) {
		this.surchargeTaxRate = surchargeTaxRate;
	}
	
	public BigDecimal getTaxes() {
		return taxes;
	}
	
	public void setTaxes(BigDecimal taxes) {
		this.taxes = taxes;
	}
	
	public BigDecimal getOutputTaxRate() {
		return outputTaxRate;
	}
	
	public void setOutputTaxRate(BigDecimal outputTaxRate) {
		this.outputTaxRate = outputTaxRate;
	}
	
	public BigDecimal getCalculateTaxes() {
		return calculateTaxes;
	}
	
	public void setCalculateTaxes(BigDecimal calculateTaxes) {
		this.calculateTaxes = calculateTaxes;
	}
}
